## publican 1.0~20090927

=== Users_Guide/Makefile ===
#Makefile for Red Hat Documentation
#Created by Jeff Fearn <jfearn@redhat.com>
#Copyright Red Hat Inc. 2006

XML_LANG	= en-US

#OTHER_LANGS	= as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW
#OTHER_LANGS = zh-CN zh-TW

CHUNK_FIRST	= 0

STANDALONE	?= 0
PWD		= $(shell pwd)

# STANDALONE is a dirty hack to allow the User_Guide to be built without having publican installed
# Mainly used when packaging or testing process changes before repackaging
ifeq "$(STANDALONE)" "0" 
COMMON_CONFIG  = /usr/share/publican
else
DESKTOP		= 1
COMMON_CONFIG	= $(PWD)/../..
CATALOGS	= XML_CATALOG_FILES="$(PWD)/../../xsl_extras/docbook/dtd-4.5/catalog.xml $(PWD)/../../xsl_extras/docbook/1.72.0/catalog.xml"
XMLCLEAN	= $(PWD)/../../bin/xmlClean
SAXON		?= java -cp "/usr/share/java/saxon.jar:/usr/share/java/xerces-j2.jar:/usr/share/java/xml-commons-resolver.jar:$(PWD):$(PWD)/../../xsl_extras/docbook/1.72.0/extensions/saxon65.jar:/usr/share/java/xslthl.jar" -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration -Dxslthl.config="file:///usr/share/xslthl/xslthl-config.xml" com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver
#SAXON		?= java -cp "/usr/share/java/saxon.jar:/usr/share/java/xerces-j2.jar:/usr/share/java/xml-commons-resolver.jar:$(PWD):$(PWD)/../../xsl_extras/docbook/1.72.0/extensions/saxon65.jar" -Djavax.xml.parsers.DocumentBuilderFactory=org.apache.xerces.jaxp.DocumentBuilderFactoryImpl -Djavax.xml.parsers.SAXParserFactory=org.apache.xerces.jaxp.SAXParserFactoryImpl -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XIncludeParserConfiguration com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver

endif

include $(COMMON_CONFIG)/make/Makefile.common

# Copy the files form the BOOK_TEMPLATE so we get the correct examples
# Change names to *.xmlt so the files don't get munged during processsing
update-template:
	@echo "Start $@"
	@cp ../../Book_Template/en-US/Book_Info.xml en-US/extras/Book_Info.xmlt
	@cp ../../Book_Template/Makefile en-US/extras/Makefile
	@cp ../../Book_Template/en-US/Author_Group.xml en-US/extras/Author_Group.xmlt
	@cp ../../Book_Template/en-US/Chapter.xml en-US/extras/Chapter.xmlt
	@cp ../../Book_Template/en-US/Book.xml en-US/extras/Book_Name.xmlt
	@cp ../../Book_Template/en-US/Book.ent en-US/extras/Book_Name.ent
	@echo "End $@"

publish-dist: html-desktop-all
	@echo "Start $@"
	@rm -rf publish
	@mkdir -p publish
	@for lang in $(TRANSLATIONS); do \
		mkdir -p publish/$$lang; \
		cp -rf tmp/$$lang/html-desktop/*  publish/$$lang/.; \
	done
	@echo "End $@"

## publican 1.6.3

=== debian/changelog ===
publican (1.6.3-1) unstable; urgency=low

  [ Mikhail Gusarov ]
  * New upstream release.
  * Change my email address in debian/control.
  * Added librsvg2-bin dependency to enable SVG processing.
  * Fixed deleting META.yml file during build.
  * Removed fix-typo-in-doc patch, applied upstream.

  [ Raphaël Hertzog ]
  * Add patch indexterm-should-not-split-blocks.patch to fix
    https://bugzilla.redhat.com/show_bug.cgi?id=592823

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 May 2010 10:33:01 +0200

publican (1.6.2-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file to cope with the new upstream download URL.
  * Update dependencies and build-dependencies to better match the
    information in Build.PL.
  * Use dh_lintian to install lintian overrides instead of custom rule
  * Drop Users_Guide/Makefile from debian/publican.examples, it's no
    longer provided.
  * Fix location of Users' Guide in doc-base file.
  * Switch to source format 3.0 (quilt)
  * Add patch fix-typo-in-doc to correct a typo in POD documentation.
  * Remove lintian overrides as they are all unused.
  * Add myself to Uploaders.
  * Update Standards-Version to 3.8.4 (no change needed)
  * Update upstream URL to match the new canonical name
  * Do not compress examples files.
  * Ensure clean removes all files left-over by the build. Drop unneeded
    backup of publican.cfg (it's no longer modified by the build).
  * Install users guide with override_dh_installdocs instead of
    override_dh_auto_install.
  * Ensure the build succeed when running with DEB_BUILD_OPTS=nocheck by
    creating the files that we copy as examples.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 Apr 2010 08:57:30 +0200

publican (1.6-1) unstable; urgency=low

  * New upstream release:
    - Data directory renamed to /usr/share/publican (Closes: #545127).
    - New build-dependencies: Archive::Zip, Test::Pod::Coverage, Devel::Cover

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Mon, 22 Mar 2010 12:56:07 +0600

publican (1.0~20090927-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make build and runtime dependency on libfile-copy-recursive-perl versioned
    (closes: #566271).

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Feb 2010 20:21:56 +0100

publican (1.0~20090927-2) unstable; urgency=low

  * Add libfile-pushd-perl to Depends (Closes: #545126).
  * Fix URL in watch file (Closes: #545172).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sat, 05 Sep 2009 16:16:05 +0700

publican (1.0~20090927-1) unstable; urgency=low

  * Initial release (Closes: #542919).

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 23 Aug 2009 03:31:23 +0700

=== debian/control ===
Source: publican
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
 docbook-xml,
 docbook-xsl,
 fop,
# for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap and more
 perl (>= 5.10),
 libarchive-zip-perl,
 libconfig-simple-perl,
 libdatetime-format-dateparse-perl,
 libdatetime-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libdevel-cover-perl,
 libfile-copy-recursive-perl (>= 0.38),
 libfile-find-rule-perl,
 libfile-pushd-perl,
 libhtml-format-perl,
 libhtml-tree-perl (>= 3.23-2),
 libimage-size-perl,
 liblocale-maketext-gettext-perl,
 liblocale-po-perl,
 libmakefile-parser-perl,
 libmodule-build-perl,
 libsyntax-highlight-engine-kate-perl,
 libtest-exception-perl,
 libtest-perl-critic-perl,
 libtest-pod-perl,
 libtest-pod-coverage-perl,
 libxml-libxml-perl (>= 1.67),
 libxml-libxslt-perl (>= 1.67),
 libxml-treebuilder-perl (>= 3.09-2),
 perlmagick,
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.8.4
Homepage: https://fedorahosted.org/publican/
Vcs-Git: git://git.debian.org/collab-maint/publican.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/publican.git

Package: publican
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 docbook-xml,
 docbook-xsl,
 fop,
 gettext,
 libarchive-zip-perl,
 libconfig-simple-perl,
 libdatetime-format-dateparse-perl,
 libdatetime-perl,
 libfile-copy-recursive-perl (>= 0.38),
 libfile-find-rule-perl,
 libfile-pushd-perl,
 libhtml-format-perl,
 libhtml-template-perl,
 libhtml-tree-perl (>= 3.23-2),
 libimage-size-perl,
 liblocale-maketext-gettext-perl,
 liblocale-po-perl,
 libmakefile-parser-perl,
 libsyntax-highlight-engine-kate-perl,
 libxml-libxml-perl (>= 1.67),
 libxml-libxslt-perl (>= 1.67),
 libxml-treebuilder-perl (>= 3.09-2),
 perlmagick,
 librsvg2-bin,
# DBI/DBD::SQLite only needed for website creation (undocumented feature)
Suggests: libdbd-sqlite3-perl, libdbi-perl
Description: Tool for publishing material authored in DocBook XML
 Publican is a Docbook XML publication system:
  * Publican ensures your document is valid,
  * Publican works to ensure your document is up to publishable standard,
  * Publican supports skinning to allow you to create your own presentation
    rules and look, overriding many parts of the default style to meet your
    publishing needs,
  * Publican automates producing documentation in several formats: plain text,
    several variations of HTML output and PDF, hiding boring details.

## publican 2.1

=== debian/changelog ===
publican (2.1-2+squeeze1) stable; urgency=low

  * Add a missing dependency and build-dependency on libio-string-perl.
    Closes: #607272

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 06 Jun 2012 09:53:36 +0200

publican (2.1-2) unstable; urgency=low

  * Add libtemplate-perl to Depends and Build-Depends. Closes: #590384
  * Website creation is now a documented feature, thus move
    libdbd-sqlite3-perl from Suggests to Depends.
  * Update Standards-Version to 3.9.1 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 26 Jul 2010 13:45:25 +0200

publican (2.1-1) unstable; urgency=low

  * New upstream release.
  * Drop patch indexterm-should-not-split-blocks.patch, merged upstream.
  * Update Standards-Version to 3.9.0 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Jul 2010 09:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,16 @@
  libfile-find-rule-perl,
  libfile-pushd-perl,
  libhtml-format-perl,
+ libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
  libmodule-build-perl,
  libsyntax-highlight-engine-kate-perl,
+ libtemplate-perl,
  libtest-exception-perl,
  libtest-perl-critic-perl,
  libtest-pod-perl,
@@ -35,7 +38,7 @@
  perlmagick,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: https://fedorahosted.org/publican/
 Vcs-Git: git://git.debian.org/collab-maint/publican.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/publican.git
@@ -51,6 +54,8 @@
  libconfig-simple-perl,
  libdatetime-format-dateparse-perl,
  libdatetime-perl,
+ libdbd-sqlite3-perl,
+ libdbi-perl,
  libfile-copy-recursive-perl (>= 0.38),
  libfile-find-rule-perl,
  libfile-pushd-perl,
@@ -58,17 +63,17 @@
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
+ libtemplate-perl,
  libsyntax-highlight-engine-kate-perl,
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
  libxml-treebuilder-perl (>= 3.09-2),
  perlmagick,
  librsvg2-bin,
-# DBI/DBD::SQLite only needed for website creation (undocumented feature)
-Suggests: libdbd-sqlite3-perl, libdbi-perl
 Description: Tool for publishing material authored in DocBook XML
  Publican is a Docbook XML publication system:
   * Publican ensures your document is valid,

=== debian/rules ===
#!/usr/bin/make -f

GUIDEDIR=$(CURDIR)/Users_Guide
DOCDIR=$(CURDIR)/debian/publican/usr/share/doc/publican

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	if [ ! -f META.yml.dist ]; then cp -f META.yml META.yml.dist; fi

override_dh_auto_build:
	dh_auto_build
	cd $(GUIDEDIR) && \
	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
	   --formats=html-desktop --publish --langs=all \
	   --common_config="$(CURDIR)/blib/datadir" \
	   --common_content="$(CURDIR)/blib/datadir/Common_Content"
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The tests build files that we install as example, if they are
	# not run do it ourselves
	cd $(GUIDEDIR) && \
	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_pot
	cd $(GUIDEDIR) && \
	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_po \
		--langs=de-DE
endif

override_dh_installdocs:
	dh_installdocs
	mv $(GUIDEDIR)/publish $(DOCDIR)/Users_Guide

override_dh_compress:
	# Examples dir contain files that should not be compressed
	# otherwise publican will not recognize them
	dh_compress -X/examples/

override_dh_auto_clean:
	dh_auto_clean
	# Created and not cleaned by t/910.publican.Users_Guide.t
	rm -rf $(GUIDEDIR)/de-DE $(GUIDEDIR)/pot

	# Removed during build process.
	if [ -f META.yml.dist ]; then mv -f META.yml.dist META.yml; fi

## publican 2.3

=== debian/changelog ===
publican (2.3-2) unstable; urgency=low

  * Add missing dependency and build-dependency on libxml-simple-perl.
    Closes: #603281

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 20 Nov 2010 15:21:51 +0100

publican (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 31 Oct 2010 12:38:02 +0100

publican (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Oct 2010 23:25:21 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
- libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
@@ -34,6 +33,7 @@
  libtest-pod-coverage-perl,
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
+ libxml-simple-perl,
  libxml-treebuilder-perl (>= 3.09-2),
  perlmagick,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
@@ -63,7 +63,6 @@
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
- libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
@@ -71,6 +70,7 @@
  libsyntax-highlight-engine-kate-perl,
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
+ libxml-simple-perl,
  libxml-treebuilder-perl (>= 3.09-2),
  perlmagick,
  librsvg2-bin,

## publican 2.5

=== debian/changelog ===
publican (2.5-2) unstable; urgency=low

  * Backport upstream patch to cope with latest Perl::Critic.
    Closes: #616696

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 19 Mar 2011 15:28:36 +0100

publican (2.5-1) unstable; urgency=low

  * New upstream release.
  * Add missing dependency and build-dependency on libio-string-perl.
    Closes: #607272

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 31 Dec 2010 15:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
@@ -63,6 +64,7 @@
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
+ libio-string-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,

## publican 2.8

=== debian/changelog ===
publican (2.8-1) unstable; urgency=low

  * New upstream release.
    - Includes the bigger bottom-margin required to avoid content overlap.
      Closes: #648849
  * Drop patch fix-test-suite-perl-CA, merged upstream.
  * New patch fix-testsuite to fix new issues introduced with this version.
  * New patch fix-handling-of-screen to improve the handling of inline
    elements within verbatim blocks.
  * New patch handle-graphic-like-imagedata to recognize <graphic> in the same
    way.
  * Update Build-Depends and Depends to require docbook-xsl (>= 1.76.1)
    since it's now required for epub support.
  * Ignore test-suite failure since it triggers a fop bug currently.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 20 Nov 2011 20:25:42 +0100

publican (2.7-1) unstable; urgency=low

  * New upstream release (never released to Debian).
  * Drop patch perl-critic-fixes-svn1732, merged upstream.
  * Bump Standards-Version to 3.9.2.
  * Add new patch fix-test-suite-perl-CA so that the test suite
    works again. It's missing the -CA argument that was added
    to publican's shebang line.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 14 Sep 2011 08:22:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50~),
  docbook-xml,
- docbook-xsl,
+ docbook-xsl (>= 1.76.1),
  fop,
 # for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap and more
  perl (>= 5.10),
@@ -39,7 +39,7 @@
  perlmagick,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: https://fedorahosted.org/publican/
 Vcs-Git: git://git.debian.org/collab-maint/publican.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/publican.git
@@ -48,7 +48,7 @@
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends},
  docbook-xml,
- docbook-xsl,
+ docbook-xsl (>= 1.76.1),
  fop,
  gettext,
  libarchive-zip-perl,
@@ -77,7 +77,7 @@
  perlmagick,
  librsvg2-bin,
 Description: Tool for publishing material authored in DocBook XML
- Publican is a Docbook XML publication system:
+ Publican is a DocBook XML publication system:
   * Publican ensures your document is valid,
   * Publican works to ensure your document is up to publishable standard,
   * Publican supports skinning to allow you to create your own presentation

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 override_dh_auto_build:
 	dh_auto_build
 	cd $(GUIDEDIR) && \
-	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
+	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
 	   --formats=html-desktop --publish --langs=all \
 	   --common_config="$(CURDIR)/blib/datadir" \
 	   --common_content="$(CURDIR)/blib/datadir/Common_Content"
@@ -21,10 +21,15 @@
 	# The tests build files that we install as example, if they are
 	# not run do it ourselves
 	cd $(GUIDEDIR) && \
-	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_pot
+	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_pot
 	cd $(GUIDEDIR) && \
-	perl -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_po \
+	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_po \
 		--langs=de-DE
+endif
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test || true
 endif
 
 override_dh_installdocs:

## publican 3.1.5

=== debian/changelog ===
publican (3.1.5-3) unstable; urgency=low

  * Depend on docbook-xsl >= 1.77 and drop debian/patches/revert-footnote-change
    whose sole purpose was to make publican work with an older docbook-xsl.
  * Deduplicate files in /usr/share/publican. We use rdfind to create
    hardlinks between all identical files. Thanks to Helmut Grohne for
    the tool suggestion and to Aaron M. Ucko for the report. Closes: #708705
  * Update Standards-Version to 3.9.4.
  * Update Vcs related URL from git.debian.org to anonscm.debian.org.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 19 Jun 2013 23:22:59 +0200

publican (3.1.5-2) unstable; urgency=low

  * Upload to unstable now that wheezy is released.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 06 May 2013 10:33:03 +0200

publican (3.1.5-1) experimental; urgency=low

  * New upstream release.
  * Drop patches restore-all-langs & workaround-testsuite-failure,
    merged upstream.
  * New patch revert-footnote-change to make publican work with docbook-
    xsl 1.76.1.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 20 Mar 2013 10:27:21 +0100

publican (3.1.1-1) experimental; urgency=low

  * New upstream release.
  * Add libsort-versions-perl to Depends & Build-Depends
  * Drop fix-spelling-mistakes and fix-testsuite patches, merged
    upstream.
  * Refresh patch fix-handling-of-screen.
  * Add new patch to workaround new failures of the test suite.
  * Add new patch to re-enable languages that were mistakenly disabled
    in Build.PL.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 07 Feb 2013 21:28:26 +0100

publican (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Update dependencies and build dependencies with many new Perl
    modules that are now required.
  * Drop patches handle-graphic-like-imagedata, fix-testsuite and fix-
    handling-of-corpauthor. They have been merged upstream.
  * Update patch fix-handling-of-screen to apply on the new version.
  * Add patch fix-testsuite to fix new problems in the test suite.
  * Add patch fix-spelling-mistakes to fix a few typos in POD
    documentation that were caught by Lintian.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 07 Nov 2012 21:18:37 +0100

publican (2.8-3) unstable; urgency=low

  * Add debian/patches/fix-handling-of-corpauthor grabbed from the old
    upstream SVN repository. Requested by Laurent Perez.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 18 Jun 2012 12:19:32 +0200

publican (2.8-2) unstable; urgency=low

  * No longer ignore test-suite failure. fop 1:1.0.dfsg2-5 should be working
    again.
  * Add missing dependency on libfile-which-perl. Closes: #660795
  * Update Standards-Version to 3.9.3 (no change needed).

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 23 Feb 2012 22:17:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7.0.50~),
  docbook-xml,
- docbook-xsl (>= 1.76.1),
+ docbook-xsl (>= 1.77),
  fop,
 # for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap and more
  perl (>= 5.10),
@@ -16,39 +16,49 @@
  libdevel-cover-perl,
  libfile-copy-recursive-perl (>= 0.38),
  libfile-find-rule-perl,
+ libfile-homedir-perl,
+ libfile-inplace-perl,
  libfile-pushd-perl,
+ libfile-which-perl,
  libhtml-format-perl,
+ libhtml-formattext-withlinks-perl,
+ libhtml-formattext-withlinks-andtables-perl (>= 0.02),
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
  libio-string-perl,
+ liblist-moreutils-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
  libmodule-build-perl,
+ libsort-versions-perl,
+ libstring-similarity-perl,
  libsyntax-highlight-engine-kate-perl,
  libtemplate-perl,
+ libtext-csv-xs-perl,
  libtest-exception-perl,
  libtest-perl-critic-perl,
- libtest-pod-perl,
- libtest-pod-coverage-perl,
+ libtest-pod-perl (>= 1.14),
+ libtest-pod-coverage-perl (>= 1.04),
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 3.09-2),
+ libxml-treebuilder-perl (>= 4),
  perlmagick,
+ rdfind,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: https://fedorahosted.org/publican/
-Vcs-Git: git://git.debian.org/collab-maint/publican.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/publican.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/publican.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publican.git
 
 Package: publican
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends},
  docbook-xml,
- docbook-xsl (>= 1.76.1),
+ docbook-xsl (>= 1.77),
  fop,
  gettext,
  libarchive-zip-perl,
@@ -59,21 +69,30 @@
  libdbi-perl,
  libfile-copy-recursive-perl (>= 0.38),
  libfile-find-rule-perl,
+ libfile-homedir-perl,
+ libfile-inplace-perl,
  libfile-pushd-perl,
+ libfile-which-perl,
  libhtml-format-perl,
+ libhtml-formattext-withlinks-perl,
+ libhtml-formattext-withlinks-andtables-perl (>= 0.02),
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
  libimage-size-perl,
  libio-string-perl,
+ liblist-moreutils-perl,
  liblocale-maketext-gettext-perl,
  liblocale-po-perl,
  libmakefile-parser-perl,
+ libsort-versions-perl,
+ libstring-similarity-perl,
+ libsyntax-highlight-engine-kate-perl,
  libtemplate-perl,
- libsyntax-highlight-engine-kate-perl,
+ libtext-csv-xs-perl,
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 3.09-2),
+ libxml-treebuilder-perl (>= 4),
  perlmagick,
  librsvg2-bin,
 Description: Tool for publishing material authored in DocBook XML

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test || true
+	dh_auto_test
 endif
 
 override_dh_installdocs:
@@ -40,6 +40,8 @@
 	# Examples dir contain files that should not be compressed
 	# otherwise publican will not recognize them
 	dh_compress -X/examples/
+	# Use hardlinks to deduplicate files and save space
+	rdfind -makehardlinks true -outputname /dev/null debian/publican/usr/share/publican
 
 override_dh_auto_clean:
 	dh_auto_clean

## publican 3.2.1

=== debian/changelog ===
publican (3.2.1-2) unstable; urgency=low

  * Install Publican's .mo files. Closes: #724855

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 08 Oct 2013 09:30:25 +0200

publican (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch fix-handling-of-screen.
  * Bump debhelper compat level to 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 06 Sep 2013 22:30:19 +0200

publican (3.2.0-1) unstable; urgency=low

  * New upstream release.
    - Generates standard date format in PO files now. Closes: #714739
  * Bump dependencies and build dependencies for libxml-treebuilder-perl.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 26 Aug 2013 23:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: publican
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
  docbook-xml,
  docbook-xsl (>= 1.77),
  fop,
+ gettext,
 # for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap and more
  perl (>= 5.10),
  libarchive-zip-perl,
@@ -44,7 +45,7 @@
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 4),
+ libxml-treebuilder-perl (>= 4.2),
  perlmagick,
  rdfind,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
@@ -92,7 +93,7 @@
  libxml-libxml-perl (>= 1.67),
  libxml-libxslt-perl (>= 1.67),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 4),
+ libxml-treebuilder-perl (>= 4.2),
  perlmagick,
  librsvg2-bin,
 Description: Tool for publishing material authored in DocBook XML

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	cd po && for po in *.po; do \
+		msgfmt -o $${po%%.po}.mo $$po; \
+	done
 	cd $(GUIDEDIR) && \
 	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
 	   --formats=html-desktop --publish --langs=all \
@@ -32,6 +35,13 @@
 	dh_auto_test
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	cd po && for mo in *.mo; do \
+		lang=$${mo%%.mo}; \
+		install -D $$mo $(CURDIR)/debian/publican/usr/share/locale/$$lang/LC_MESSAGES/publican.mo; \
+	done
+
 override_dh_installdocs:
 	dh_installdocs
 	mv $(GUIDEDIR)/publish $(DOCDIR)/Users_Guide
@@ -45,6 +55,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -f po/*.mo
 	# Created and not cleaned by t/910.publican.Users_Guide.t
 	rm -rf $(GUIDEDIR)/de-DE $(GUIDEDIR)/pot

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
# URL to the package page followed by a regex to search
https://fedorahosted.org/releases/p/u/publican/   (?:.*/)?[Pp]ublican-v?(\d[\d_.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## publican 4.2.6

=== debian/changelog ===
publican (4.2.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 24 Oct 2014 08:45:53 +0200

publican (4.2.3-1) unstable; urgency=medium

  * New upstream release. 
  * Drop patches applied upstream: fix-public-id-of-char-entities.patch,
    fix-fop-build.patch.
  * Add drop-system-id-for-docbook-entities.patch to work-around bug
    #763598.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 09 Oct 2014 15:48:48 +0200

publican (4.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Tighten dependencies to match Build.PL.
  * Drop fix-ftbfs-in-users-guide.patch as we build-depend on a version
    of Syntax::Highlight::Engine::Kate that works as expected.
  * Refresh other patches.
  * Add libhtml-wikiconverter-perl to dependencies as it's not brought
    in by libhtml-wikiconverter-markdown-perl.
  * Add docbook5-xml to dependencies for Docbook 5 support.
  * Add fix-public-id-of-char-entities.patch to fix a build failure.
  * Add Depends on docbook-xsl-ns for Dockbook 5 stylesheets.
  * Import upstream patch to fix fop build (fix-fop-build.patch).

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 17 Sep 2014 21:28:48 +0200

publican (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop unneeded dependency on libmakefile-parser-perl to avoid removal
    from testing due to #749357.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Jul 2014 15:49:05 +0200

publican (4.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 May 2014 11:41:59 +0200

publican (4.0.0-1) unstable; urgency=medium

  * New upstream release:
    - properly resolve entities inside ulink. Closes: #719000
    - add_revision --member "foo" works as expected. Closes: #735356
  * Update Build-Depends and Depends according to Build.PL changes.
  * Update Standards-Version to 3.9.5.
  * New patch keep-pi-from-po.patch to keep processing instructions in
    translations.
  * Refresh patch fix-handling-of-screen.patch.
  * Adjust debian/rules perl's invocations to match the default options
    expected by Publican (-CDAS).
  * New patch fix-ftbfs-in-users-guide.patch to allow build of the
    user's guide.
  * Drop executable permissions on .mo files.
  * Ensure C locale when running tests (otherwise failure ensues).
  * Add debian/missing-sources/ with non-minified versions of
    web/jquery-1.7.1.min.js and web/jquery.jcarrousel.min.js files.
    Closes: #737461

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 05 Feb 2014 23:04:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
  docbook-xml,
+ docbook5-xml,
  docbook-xsl (>= 1.77),
+ docbook-xsl-ns (>= 1.77),
  fop,
  gettext,
-# for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap and more
- perl (>= 5.10),
+# for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap,
+# Version and more
+ perl (>= 5.14),
  libarchive-zip-perl,
  libconfig-simple-perl,
  libdatetime-format-dateparse-perl,
@@ -20,37 +23,43 @@
  libfile-homedir-perl,
  libfile-inplace-perl,
  libfile-pushd-perl,
+ libfile-slurp-perl,
  libfile-which-perl,
  libhtml-format-perl,
  libhtml-formattext-withlinks-perl,
  libhtml-formattext-withlinks-andtables-perl (>= 0.02),
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
+ libhtml-wikiconverter-perl,
+ libhtml-wikiconverter-markdown-perl (>= 0.06),
  libimage-size-perl,
  libio-string-perl,
+ liblingua-en-fathom-perl,
  liblist-moreutils-perl,
  liblocale-maketext-gettext-perl,
- liblocale-po-perl,
- libmakefile-parser-perl,
+ liblocale-maketext-lexicon-perl,
+ liblocale-msgfmt-perl,
+ liblocale-po-perl (>= 0.24),
  libmodule-build-perl,
  libsort-versions-perl,
  libstring-similarity-perl,
- libsyntax-highlight-engine-kate-perl,
+ libsyntax-highlight-engine-kate-perl (>= 0.09),
  libtemplate-perl,
  libtext-csv-xs-perl,
  libtest-exception-perl,
  libtest-perl-critic-perl,
  libtest-pod-perl (>= 1.14),
  libtest-pod-coverage-perl (>= 1.04),
- libxml-libxml-perl (>= 1.67),
- libxml-libxslt-perl (>= 1.67),
+ libversion-perl,
+ libxml-libxml-perl (>= 1.70),
+ libxml-libxslt-perl (>= 1.70),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 4.2),
+ libxml-treebuilder-perl (>= 5.4),
  perlmagick,
  rdfind,
 Maintainer: Mikhail Gusarov <dottedmag@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/publican/
 Vcs-Git: git://anonscm.debian.org/collab-maint/publican.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publican.git
@@ -58,8 +67,11 @@
 Package: publican
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends},
+ perl (>= 5.14),
  docbook-xml,
+ docbook5-xml,
  docbook-xsl (>= 1.77),
+ docbook-xsl-ns (>= 1.77),
  fop,
  gettext,
  libarchive-zip-perl,
@@ -73,27 +85,33 @@
  libfile-homedir-perl,
  libfile-inplace-perl,
  libfile-pushd-perl,
+ libfile-slurp-perl,
  libfile-which-perl,
  libhtml-format-perl,
  libhtml-formattext-withlinks-perl,
  libhtml-formattext-withlinks-andtables-perl (>= 0.02),
  libhtml-template-perl,
  libhtml-tree-perl (>= 3.23-2),
+ libhtml-wikiconverter-perl,
+ libhtml-wikiconverter-markdown-perl (>= 0.06),
  libimage-size-perl,
  libio-string-perl,
+ liblingua-en-fathom-perl,
  liblist-moreutils-perl,
  liblocale-maketext-gettext-perl,
- liblocale-po-perl,
- libmakefile-parser-perl,
+ liblocale-maketext-lexicon-perl,
+ liblocale-msgfmt-perl,
+ liblocale-po-perl (>= 0.24),
  libsort-versions-perl,
  libstring-similarity-perl,
- libsyntax-highlight-engine-kate-perl,
+ libsyntax-highlight-engine-kate-perl (>= 0.09),
  libtemplate-perl,
  libtext-csv-xs-perl,
- libxml-libxml-perl (>= 1.67),
- libxml-libxslt-perl (>= 1.67),
+ libversion-perl,
+ libxml-libxml-perl (>= 1.70),
+ libxml-libxslt-perl (>= 1.70),
  libxml-simple-perl,
- libxml-treebuilder-perl (>= 4.2),
+ libxml-treebuilder-perl (>= 5.4),
  perlmagick,
  librsvg2-bin,
 Description: Tool for publishing material authored in DocBook XML

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 		msgfmt -o $${po%%.po}.mo $$po; \
 	done
 	cd $(GUIDEDIR) && \
-	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
+	perl -CDAS -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican build \
 	   --formats=html-desktop --publish --langs=all \
 	   --common_config="$(CURDIR)/blib/datadir" \
 	   --common_content="$(CURDIR)/blib/datadir/Common_Content"
@@ -24,22 +24,22 @@
 	# The tests build files that we install as example, if they are
 	# not run do it ourselves
 	cd $(GUIDEDIR) && \
-	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_pot
+	perl -CDAS -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_pot
 	cd $(GUIDEDIR) && \
-	perl -CA -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_po \
+	perl -CDAS -I $(CURDIR)/blib/lib $(CURDIR)/blib/script/publican update_po \
 		--langs=de-DE
 endif
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test
+	LC_ALL=C dh_auto_test
 endif
 
 override_dh_auto_install:
 	dh_auto_install
 	cd po && for mo in *.mo; do \
 		lang=$${mo%%.mo}; \
-		install -D $$mo $(CURDIR)/debian/publican/usr/share/locale/$$lang/LC_MESSAGES/publican.mo; \
+		install -m 644 -D $$mo $(CURDIR)/debian/publican/usr/share/locale/$$lang/LC_MESSAGES/publican.mo; \
 	done
 
 override_dh_installdocs:

## publican 4.3.1

=== debian/changelog ===
publican (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/copyright to mention CC0 license for Common_Content files.
    Closes: #787993
  * Replace perlmagick dep by libimage-magick-perl. Closes: #789223
  * Add do-not-replace-nbsp-by-spaces-in-pot-files.patch to preserve
    non breaking spaces from the original text.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 25 Jun 2015 21:36:00 +0200

publican (4.3.0-1) unstable; urgency=medium

  [ Mikhail Gusarov ]
  * Remove myself from Maintainer field

  [ Raphaël Hertzog ]
  * New upstream release. Closes: #784886
  * Refresh all patches.
  * Use "fr-FR" instead of "de-DE" as sample translation since
    Users_Guide/de-DE got dropped.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Jun 2015 14:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  libhtml-tree-perl (>= 3.23-2),
  libhtml-wikiconverter-perl,
  libhtml-wikiconverter-markdown-perl (>= 0.06),
+ libimage-magick-perl,
  libimage-size-perl,
  libio-string-perl,
  liblingua-en-fathom-perl,
@@ -55,10 +56,8 @@
  libxml-libxslt-perl (>= 1.70),
  libxml-simple-perl,
  libxml-treebuilder-perl (>= 5.4),
- perlmagick,
  rdfind,
-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>
+Maintainer: Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.5
 Homepage: https://fedorahosted.org/publican/
 Vcs-Git: git://anonscm.debian.org/collab-maint/publican.git
@@ -94,6 +93,7 @@
  libhtml-tree-perl (>= 3.23-2),
  libhtml-wikiconverter-perl,
  libhtml-wikiconverter-markdown-perl (>= 0.06),
+ libimage-magick-perl,
  libimage-size-perl,
  libio-string-perl,
  liblingua-en-fathom-perl,
@@ -112,7 +112,6 @@
  libxml-libxslt-perl (>= 1.70),
  libxml-simple-perl,
  libxml-treebuilder-perl (>= 5.4),
- perlmagick,
  librsvg2-bin,
 Description: Tool for publishing material authored in DocBook XML
  Publican is a DocBook XML publication system:

## publican 4.3.2

=== debian/changelog ===
publican (4.3.2-6) unstable; urgency=medium

  * Set manual.toc to the empty string (Closes: #1111812)
  * Add some basic autopkgtest replacing the broken tests generated by
    autodep8-perl
  * Update Standards-Version to 4.7.3
  * Update watch file to version 5

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 03 Jan 2026 16:44:10 +0100

publican (4.3.2-5) unstable; urgency=medium

  * Add a patch to fix import of File::Spec (Closes: #1095297)
  * Add a patch to avoid an annoying warning about duplicate help option
  * Refresh the patches with "gbp pq export"
  * Bump Standards-Version to 4.7.2
  * Update the watch file in case new upstream releases appear on pagure.io
  * Update the Homepage field to point to https://pagure.io/Publican/Publican

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Mar 2025 17:22:03 +0100

publican (4.3.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 11 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Set debhelper-compat version in Build-Depends.

  [ Raphaël Hertzog ]
  * Update lintian override syntax
  * Bump Standards-Version to 4.6.2

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 07 Jan 2024 13:31:00 +0100

publican (4.3.2-3) unstable; urgency=medium

  * Add dependency on liblocale-codes-perl (Closes: #903276)
  * Bump Standards-Version to 4.1.5

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 08 Jul 2018 21:27:22 +0200

publican (4.3.2-2) unstable; urgency=medium

  * Move git repository to salsa.debian.org.
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.
  * Update various URLs and watch file following the upstream move after the
    retirement of fedorahosted.org.
  * Build docs without the condition="testing" sections that include
    embedded video generating privacy-breach-generic warnings in lintian.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Feb 2018 14:14:44 +0100

publican (4.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop do-not-replace-nbsp-by-spaces-in-pot-files.patch, merged
    upstream.
  * Add new patch to install bash completion files in
    /usr/share/bash-completion/completions/, fixing a lintian warning.
  * Add rm_conffile command in maintainer scripts to get rid of the old
    /etc/bash_completion.d/_publican.
  * Fix copyright file to use "or" instead of "|" to document dual licenses
    options.
  * Drop jquery and jquery.carrousel from missing-sources as upstream now
    provides the sources.
  * Add sources for highlight.js as those are currently missing.
  * Add lintian overrides for inaccurate source-is-missing entries.
  * Replace upstream provided font-awesome files with symlinks to files
    packaged in fonts-font-awesome (using dh-linktree).
  * Bump Standards-Version to 3.9.6.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 27 Aug 2015 21:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: publican
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
+ dh-linktree,
  docbook-xml,
  docbook5-xml,
  docbook-xsl (>= 1.77),
  docbook-xsl-ns (>= 1.77),
  fop,
+ fonts-font-awesome,
  gettext,
 # for Archive::Tar, I18N::LangTags::List, Locale::Language, Term::ANSIColor, Text::Wrap,
 # Version and more
@@ -37,6 +39,7 @@
  libio-string-perl,
  liblingua-en-fathom-perl,
  liblist-moreutils-perl,
+ liblocale-codes-perl,
  liblocale-maketext-gettext-perl,
  liblocale-maketext-lexicon-perl,
  liblocale-msgfmt-perl,
@@ -58,10 +61,10 @@
  libxml-treebuilder-perl (>= 5.4),
  rdfind,
 Maintainer: Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.9.5
-Homepage: https://fedorahosted.org/publican/
-Vcs-Git: git://anonscm.debian.org/collab-maint/publican.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/publican.git
+Standards-Version: 4.7.3
+Homepage: https://pagure.io/Publican/Publican
+Vcs-Git: https://salsa.debian.org/debian/publican.git
+Vcs-Browser: https://salsa.debian.org/debian/publican
 
 Package: publican
 Architecture: all
@@ -98,6 +101,7 @@
  libio-string-perl,
  liblingua-en-fathom-perl,
  liblist-moreutils-perl,
+ liblocale-codes-perl,
  liblocale-maketext-gettext-perl,
  liblocale-maketext-lexicon-perl,
  liblocale-msgfmt-perl,

=== debian/tests/control ===
Tests: publican
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Source: https://pagure.io/Publican/Publican/releases
Matching-Pattern: .*/Publican-@ANY_VERSION@.tar.gz
